/*
  AnalogReadSerial
  Reads an analog input on pin 0, prints the result to the serial monitor.
  Attach the center pin of a potentiometer to pin A0, and the outside pins to +5V and ground.

 This example code is in the public domain.
 */
#include <SoftwareSerial.h>

SoftwareSerial mySerial(7, 4); // RX, TX
// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  OSCCAL= 0x8B;
  delay(1);
  mySerial.begin(9600);
  mySerial.println("Hello, world?");
 pinMode(5, INPUT);
 
}

// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  int sensorValue = analogRead(5);
  // print out the value you read:
  mySerial.println(sensorValue);
  delay(1);        // delay in between reads for stability
}
